curl --request POST \
--url https://api.notifique.dev/v1/telegram/instances/{instanceId}/connect-page/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedHosts": [
"app.cliente.com",
"painel.cliente.com.br"
]
}
'{
"success": true,
"data": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>",
"shareableLink": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>"
}
}
}{
"success": false,
"error": "Connect page is not enabled for this instance.",
"message": "Connect page is not enabled for this instance.",
"code": "CONNECT_PAGE_ERROR"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not Found",
"message": "Instance not found",
"code": "NOT_FOUND"
}Instâncias
Activar enlace Telegram
Genera un enlace para que otra persona termine la conexión.
POST
/
v1
/
telegram
/
instances
/
{instanceId}
/
connect-page
/
enable
curl --request POST \
--url https://api.notifique.dev/v1/telegram/instances/{instanceId}/connect-page/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedHosts": [
"app.cliente.com",
"painel.cliente.com.br"
]
}
'{
"success": true,
"data": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>",
"shareableLink": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>"
}
}
}{
"success": false,
"error": "Connect page is not enabled for this instance.",
"message": "Connect page is not enabled for this instance.",
"code": "CONNECT_PAGE_ERROR"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not Found",
"message": "Instance not found",
"code": "NOT_FOUND"
}Autorizaciones
ntfTgBearerAuthntfTgApiKeyHeader
Authorization: Bearer sk_live_xxxxx
Parámetros de ruta
Cuerpo
application/json
Hosts permitidos para embed iframe (opcional).
Ejemplo:
["app.cliente.com", "painel.cliente.com.br"]
¿Esta página le ayudó?
⌘I

